# DLS-Import vorschauen

`POST https://{tenant}.stamp.eu/rest/import/dls/preview`

Parse the uploaded export and return what an import would do (no writes)

## Antworten

### 200

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.employer` | object \| null | ja |
| `data.employees` | object[] | ja |
| `data.employees[].personnel_number` | string | ja |
| `data.employees[].name` | string \| null | ja |
| `data.employees[].surname` | string \| null | ja |
| `data.employees[].full_name` | string | ja |
| `data.employees[].position` | string \| null | ja |
| `data.employees[].employed_start` | string \| null | ja |
| `data.employees[].employed_end` | string \| null | ja |
| `data.employees[].has_payroll_data` | boolean | ja |
| `data.employees[].status` | string | ja |
| `data.employees[].warnings` | string[] | ja |
| `data.stats` | object | ja |
| `data.stats.total` | integer | ja |
| `data.stats.new` | integer | ja |
| `data.stats.existing` | integer | ja |
| `data.stats.departed` | integer | ja |
| `data.stats.conflicts` | integer | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
